{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "description": "Schema for a library",
  "type": "object",
  "properties": {
    "bib": {
      "type": "object",
      "description": "A library.",
      "properties": {
        "book": {
          "type": "array",
          "description": "A list of books.",
          "items": {
            "type": "object",
            "required": [ "title" ],
            "properties": {
              "title": {
                "type": "string",
                "format": "my-custom-format"
              },
              "publisher": {
                "type": "string"
              },
              "author": {
                "$ref": "#/definitions/author"
              }
            }
          }
        }
      }
    }
  },
  "definitions": {
    "author": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  }  
}